<script>
    var requireJS = [];
    loadCSS('css/flags/flags.min.css');
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/orders_list.js");
</script>
<div class="page-title">
    <div class="title_left">
        <h4 th:text="#{ordersList}">Listado de Pedidos</h4>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        &nbsp;
                        <span title="Fecha de Activación">Usar fecha de activación:</span>
                        <input class="chkbig" type="checkbox" id="activation" th:checked="${activation}"/>
                        &nbsp;
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        &nbsp;
                        <span th:text="#{type}">Tipo:</span>
                        <select name="type" id="type">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${type == 'kit'}" value="kit"><span th:text="#{kits}"></span></option>
                            <option th:selected="${type == 'product'}" value="product"><span th:text="#{products}"></span></option>
                            <option th:selected="${type == 'service'}" value="service"><span th:text="#{services}"></span></option>
                            <option th:selected="${type == 'store'}" value="store"><span th:text="#{members.store}"></span></option>
                            <option th:selected="${type == 'upgrade'}" value="upgrade"><span th:text="#{upgrade}"></span></option>
                            <option th:selected="${type == 'ticket'}" value="ticket"><span th:text="#{ticket}"></span></option>
                            <option th:selected="${type == 'topup'}" value="topup"><span th:text="#{store.topups}"></span></option>
                        </select>
                        &nbsp;
                        <span th:text="#{paymentGateway}">Pasarela:</span>
                        <select name="Payment" id="payment">
                            <option th:selected="${payment == null || (payment != null && payment == 'all')}" value="all"><span th:text="#{all}"></span></option>
                            <option th:selected="${payment != null && payment == 'bacs'}" value="bacs"><span th:text="#{bank_transfer}"></span></option>
                            <option th:selected="${payment != null && payment == 'tefpay'}" value="tefpay"><span th:text="#{tefpay}"></span></option>
                            <option th:selected="${payment != null && payment == 'pagantis'}" value="pagantis"><span th:text="#{pagantis}"></span></option>
                            <option th:selected="${payment != null && payment == 'free'}" value="free"><span th:text="#{free}"></span></option>
                            <option th:selected="${payment != null && payment == 'paypal'}" value="paypal"><span th:text="#{paypal}"></span></option>
                            <option th:selected="${payment != null && payment == 'manual'}" value="manual"><span th:text="#{manual}"></span></option>
                            <option th:selected="${payment != null && payment == 'tucompra'}" value="tucompra"><span th:text="#{tucompra}"></span></option>
                            <option th:selected="${payment != null && payment == 'payulatam'}" value="payulatam"><span th:text="#{payu}"></span></option>
                            <option th:selected="${payment != null && payment == 'culqi'}" value="culqi"><span th:text="#{culqi}"></span></option>
                            <option th:selected="${payment != null && payment == 'stripe'}" value="stripe"><span th:text="#{stripe}"></span></option>
                            <option th:selected="${payment != null && payment == 'paymentez'}" value="paymentez"><span th:text="#{paymentez}"></span></option>
                            <option th:selected="${payment != null && payment == 'coms'}" value="coms"><span th:text="#{coms}"></span></option>
                            <option th:selected="${payment != null && payment == 'adyen'}" value="adyen"><span th:text="#{adyen}"></span></option>
                            <option th:selected="${payment != null && payment == 'blockpays'}" value="blockpays"><span th:text="#{blockpays}"></span></option>
                        </select>                        
                        &nbsp;
                        <span th:text="#{countryName}">País:</span>                  
                        <select name="country" id="country">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:each="c : ${countries}" th:selected="${country == c}" th:value="${c}" th:text="#{${c}}">España</option>
                        </select>
                        &nbsp;
                        <span th:text="#{state}">Estado:</span>
                        <select name="status" id="status">
                            <option th:selected="${status == null || status == 'all'}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${status == 'paid'}" value="paid"><span th:text="#{paid}">Pagado</span></option>
                            <option th:selected="${status == 'pending'}" value="pending"><span th:text="#{unpaid}">No pagado</span></option>
                            <option th:selected="${status == 'review'}" value="review"><span th:text="#{review}">A revisar</span></option>
                        </select>
                        <br/>
                        &nbsp;                        
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <span>Incluir eliminados:</span>
                        <input class="chkbig" type="checkbox" id="deleted" th:checked="${deleted}"/>
                        &nbsp;
                        <span>Voucher:</span>
                        <input type="text" th:value="${ticketNumber}" name="ticketNumber" id="ticketNumber"/>
                        &nbsp;
                        <span th:text="#{bacs}">Banco:</span>
                        <select name="bac" id="bac">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:each="b : ${bacs}" th:selected="${bac == b}" th:value="${b}" th:text="${b}">Nombre</option>
                        </select>
                        &nbsp;
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>

                        <!--ToolBar-->
                        <!--<ul class="nav navbar-right panel_toolbox">
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    <i class="fa fa-gears wings-tool-bar"></i>
                                </a>
                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a class="action-button" id="import-from-wp"><i class="fa fa-upload"></i>&nbsp;<span th:text="#{ImportFromStore}"></span></a>                                                                
                                    </li>
                                </ul>
                            </li>
                        </ul>-->

                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th><input type="checkbox"/></th>
                                <th>#</th>
                                <th th:text="#{date}"></th>
                                <th th:text="#{active}"></th>
                                <th th:text="#{activation}"></th>
                                <th th:text="#{email}"></th>
                                <th th:text="#{name}"></th>
                                <th th:text="#{orders.referrer}"></th>
                                <th th:text="#{orders.member}"></th>
                                <th th:text="#{type}"></th>
                                <th th:text="#{item}"></th>
                                <th th:text="#{orders.external}" th:title="#{orders.external.long}"></th>
                                <th th:text="#{price}"></th>
                                <th th:text="#{orders.paymentType}"></th>
                                <th th:text="#{status}"></th>
                                <th th:text="#{actions}"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="member-id"></td>
                                <td th:text="${item.id}"></td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td class="text-center">
                                    <span th:if="${item.active}" class="label label-success" th:text="#{yes}">Si</span>                                            
                                    <span th:if="${!item.active}" class="label label-danger" th:text="#{no}">No</span>                                            
                                </td>
                                <td>
                                    <span th:if="${item.activationDate != null}" th:text="${#dates.format(item.activationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.activationDate, 'dd/MM/yyyy HH:mm:ss')}"></span>
                                </td>
                                <td th:text="${item.payerEmail}" th:class="${item.deleted?'red':''}"></td>
                                <td>
                                    <img src="/css/flags/blank.gif" class="flag" th:if="${item.billingCountry == null && item.billingCountry == ''}"/>
                                    <img src="/css/flags/blank.gif" class="flag" th:if="${item.billingCountry != null && item.billingCountry != ''}" th:classappend="'flag-'+ ${#strings.toLowerCase(item.billingCountry)}" th:title="#{${#strings.toUpperCase(item.billingCountry)}}"/>
                                    <span th:text="${item.getFullName()}" th:class="${item.deleted?'red':''}"></span>                                    
                                </td>
                                <td th:text="${item.storeId}"></td>
                                <td th:text="${item.memberId}"></td>
                                <td>
                                    <span>
                                        <div th:switch="${item.type}" th:title="'Items ' + ${item.items.size()}">
                                            <span th:case="kit" class="label label-info" th:text="#{${item.type}}">Kit</span>
                                            <span th:case="product" class="label label-info" th:text="#{${item.type}}">Producto</span>
                                            <span th:case="mix" class="label label-success" th:text="#{${item.type}}">Mix</span>
                                            <span th:case="service" class="label label-warning" th:text="#{${item.type}}">Servicio</span>
                                            <span th:case="upgrade" class="label label-info" th:text="#{${item.type}}">Upgrade</span>
                                            <span th:case="store" class="label label-info" th:text="#{${item.type}}">Store</span>
                                            <span th:case="ticket" class="label label-warning" th:text="#{${item.type}}">Ticket</span>
                                            <span th:case="topup" class="label label-warning" th:text="#{${item.type}}">Recarga</span>
                                        </div>
                                    </span>
                                </td>
                                <td>
                                    <span th:if="${item.orderItem != null}" th:text="${item.orderItem.name}" th:title="${item.storeTitle}"></span> 
                                    <sup th:if="${item.installmentNumber != 0}" th:text="${item.installmentNumber}"></sup>
                                    <span th:if="${item.orderItem == null}">--</span>
                                    <i th:if="${item.multiple}" class="fa fa-asterisk" th:title="#{orders.extra.multiple}"></i>
                                    <i th:if="${item.withPrize}" class="fa fa-trophy" th:title="#{orders.extra.prize}"></i>
                                </td>
                                <td>
                                    <span th:text="${item.externalId}"></span> 
                                </td>
                                <td>
                                    <span th:if="${item.paymentType == 'coms' && item.priceForComs != null}" th:text='${item.getPriceForComsText()}'></span>
                                    <span th:if="${item.paymentType != 'coms' || item.priceForComs == null}" th:text="${item.getPaymentAmountText()}"></span> 
                                </td>
                                <td>
                                    <a th:if="${item.attachment != null}" th:href="'/admin/orders/attachment/view?file=' + ${item.attachment}" target='_blank'>
                                        <span th:text="#{${item.paymentType}}" th:title="${item.comment}"></span>
                                    </a>
                                    <span th:if="${item.attachment == null}" th:text="#{${item.paymentType}}" th:title="${item.comment}"></span> 
                                </td>
                                <td>
                                    <span>
                                        <div th:switch="${item.status}" th:title="${item.comment}">
                                            <span th:case="paid" class="label label-success" th:text="#{${item.status}}"></span>
                                            <span th:case="pending" class="label label-danger" th:text="#{${item.status}}"></span>
                                            <span th:case="review" class="label label-warning" th:text="#{${item.status}}"></span>
                                            <span th:case="shipped" class="label label-info" th:text="#{${item.status}}"></span>
                                            <span th:case="delivered" class="label label-info" th:text="#{${item.status}}"></span>
                                            <span th:case="*" class="label label-default" th:text="${item.status}"></span>
                                        </div>
                                    </span>
                                </td>
                                <td>
                                    <span>
                                        <span th:if="${user.isMasterAdmin}">
                                            <span th:if="!${item.deleted}">
                                                <i class="fa fa-remove action-button" id="delete-order" th:attr="data-id=${item.id},data-name=${item.getFullName()}" title='Eliminar'></i>
                                            </span>
                                            <span th:if="${item.deleted}">
                                                <i class="fa fa-check action-button" id="undelete-order" th:attr="data-id=${item.id},data-name=${item.getFullName()}" title='Quitar marca eliminado'></i>
                                            </span>                                            
                                        </span>
                                        <span th:if="${item.status == 'pending'}" title='Marcar a revisar'>
                                            <i class="fa fa-bank action-button" id="mark-review" th:attr="data-id=${item.id},data-name=${item.getFullName()}"></i>
                                        </span>

                                        <span th:if="${user.roles.contains('admin')}">
                                            <span th:if="${item.status == 'review'}" title='Marcar como pagado'>
                                                <i class="fa fa-bank action-button green" id="mark-paid" th:attr="data-id=${item.id},data-name=${item.getFullName()}"></i>
                                            </span>
                                        </span>
                                        <i class="fa fa-pencil action-button" id="edit-order" th:attr="data-id=${item.id},data-name='#'+${item.id}"></i>
                                    </span>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>

</div>

